SubscriberEntry (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.SubscriberEntry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Class SubscriberEntry

    java.lang.Object
      org.codehaus.activemq.service.SubscriberEntry

All Implemented Interfaces:
  Externalizable, Serializable

public class SubscriberEntry
extends Object
implements Externalizable

Represents a durable subscribers subscription entry which contains details of the subscription and the subscriber's unique ID

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`SubscriberEntry()`

Method Summary
`String` | `getClientID()`
`String` | `getConsumerName()`
`String` | `getDestination()`
`String` | `getSelector()`
`int` | `getSubscriberID()`
`void` | `readExternal(ObjectInput in)`
`static String` | `readNullableUTF(ObjectInput in)`
`void` | `setClientID(String clientID)`
`void` | `setConsumerName(String consumerName)`
`void` | `setDestination(String destination)`
`void` | `setSelector(String selector)`
`void` | `setSubscriberID(int subscriberID)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`
`static void` | `writeNullableUTF(ObjectOutput out, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubscriberEntry

    public SubscriberEntry()

Method Detail

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readNullableUTF

    public static String readNullableUTF(ObjectInput in)
                                  throws IOException,
                                         ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeNullableUTF

    public static void writeNullableUTF(ObjectOutput out,
                                        String value)
                                 throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

### getClientID

    public String getClientID()

### setClientID

    public void setClientID(String clientID)

### getConsumerName

    public String getConsumerName()

### setConsumerName

    public void setConsumerName(String consumerName)

### getDestination

    public String getDestination()

### setDestination

    public void setDestination(String destination)

### getSelector

    public String getSelector()

### setSelector

    public void setSelector(String selector)

### getSubscriberID

    public int getSubscriberID()

### setSubscriberID

    public void setSubscriberID(int subscriberID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.